hwc <- read.table("http://ashipunov.info/data/hwc.txt", h=TRUE)
summary(hwc)
boxplot(WEIGHT ~ COLOR, data=hwc)
source("http://ashipunov.info/r/asmisc.r")
Normality(hwc$WEIGHT)
tapply(hwc$WEIGHT, hwc$COLOR, var)
bartlett.test(WEIGHT ~ COLOR, data=hwc)
fligner.test(WEIGHT ~ COLOR, data=hwc)
(hwc.aov <- aov(WEIGHT ~ COLOR, data=hwc))
summary(hwc.aov)
217.54/8.97
1 - pf(24.24, 2, 87)

boxplot(HEIGHT ~ COLOR, data=hwc)
Normality(hwc$HEIGHT)
bartlett.test(HEIGHT ~ COLOR, data=hwc)
summary(aov(HEIGHT ~ COLOR, data=hwc))

Eta2 <- function(aov)
{
summary.lm(aov)$r.squared
}
Eta2(hwc.aov)
Mag(Eta2(hwc.aov))
Mag
Eta2(aov(HEIGHT ~ COLOR, data=hwc))
Mag(Eta2(aov(HEIGHT ~ COLOR, data=hwc)))

pairwise.t.test(hwc$WEIGHT, hwc$COLOR)
TukeyHSD(hwc.aov)
plot(TukeyHSD(hwc.aov))

hwc2 <- read.table("http://ashipunov.info/data/hwc2.txt", h=TRUE)
Normality(hwc2$WEIGHT)
boxplot(WEIGHT ~ COLOR, data=hwc2)
bartlett.test(WEIGHT ~ COLOR, data=hwc2)
oneway.test(WEIGHT ~ COLOR, data=hwc2)
Eta2(aov(WEIGHT ~ COLOR, data=hwc2))
Mag(Eta2(aov(WEIGHT ~ COLOR, data=hwc2)))

hwc3 <- read.table("http://ashipunov.info/data/hwc3.txt", h=TRUE)
Normality(hwc3$WEIGHT)
kruskal.test(WEIGHT ~ COLOR, data=hwc3)
boxplot(WEIGHT ~ COLOR, data=hwc3)
