margin.table(Titanic, 1:2)
margin.table(Titanic, c(2, 4))
margin.table(Titanic, 3:4)
ftable(Titanic)

aa <- rep(c("a","b","c"), 5)
aa
aa[3:4] <- NA
aa
table(aa)
table(aa, useNA="ifany")

comfort <- ifelse(airquality$Temp < 64 | airquality$Temp > 86, "bad", "good")
comf.month <- table(comfort, airquality$Month)
spineplot(t(comf.month))

chisq.test(comf.month)
(expected <- outer(rowSums(comf.month), colSums(comf.month), "*")/sum(comf.month))
comf.month
comf.month - expected
(comf.month - expected)^2
((comf.month - expected)^2)/expected
sum(((comf.month - expected)^2)/expected)

HairEyeColor
(HE <- margin.table(HairEyeColor, 1:2))

assocplot(comf.month)
# dev.new()
assocplot(HE)

chisq.test(HE)

source("http://ashipunov.info/r/asmisc.r")
pairwise.Table2.test(HE)

tox <- read.table("http://ashipunov.info/data/poisoning.txt", h=TRUE)
tox
lapply(tox[,-1], function(.x) table(tox[, 1], .x))
tox.1 <- lapply(tox[,-1], function(.x) table(tox[, 1], .x))
tox.2 <- array(unlist(tox.1), dim=c(dim(tox.1[[1]]), length(tox.1)))
dimnames(tox.2) <- list(c("ill","not ill"), c("took","didn't take"), names(tox.1))

fourfoldplot(tox.2, conf.level=0, col=c("yellow", "black"))

cbind(apply(tox.2, 3, function(.x) chisq.test(.x)$p.value))
pp <- cbind(apply(tox.2, 3, function(.x) chisq.test(.x)$p.value))
p.adjust(pp, method="BH")

chisq.test(c(5474, 1850), p=c(3/4, 1/4))
