women
plot(weight ~ height, data=women)
women.lm <- lm(weight ~ height, data=women)
summary(women.lm)
plot(women.lm)
plot(women.lm, which=2)
plot(women.lm, which=1:2)

women.lm2 <- lm(weight ~ height + I(height^3), data=women)
plot(women.lm2)

plot(weight ~ height, data=women)
abline(women.lm, lty=2, col=2)
source("http://ashipunov.info/r/asmisc.r")
Cladd(women.lm, data=women)

eggs <- read.table("http://ashipunov.info/shipunov/open/eggs.txt")
Str(eggs)
plot(V2 ~ V1, data=eggs)
eggs.lm <- lm(V2 ~ V1, data=eggs)
summary(eggs.lm)
Mag(0.8242)
confint(eggs.lm)
plot(eggs.lm)
plot(V2 ~ V1, data=eggs)
abline(eggs.lm, lty=2, col=2)
Cladd(eggs.lm, data=eggs)

oldpar <- par(mfrow=c(3, 3))
for (i in 1:9) plot(1:50, rnorm(50), xlab="Fitted", ylab="Residuals")
title("'Good' Residuals vs. Fitted", outer=TRUE, line=-2)
for (i in 1:9) plot(1:50, (1:50)*rnorm(50), xlab="Fitted", ylab="Residuals")
title("'Bad' Residuals vs. Fitted", outer=TRUE, line=-2)
for (i in 1:9) { aa <- rnorm(50); qqnorm(aa, main=""); qqline(aa) }
title("'Good' normality QQ plots", outer=TRUE, line=-2)
for (i in 1:9) { aa <- rnorm(50)^2; qqnorm(aa, main=""); qqline(aa) }
title("'Bad' normality QQ plots", outer=TRUE, line=-2)
par(oldpar)

ee <- read.table("http://ashipunov.info/data/exams.txt", h=T)
Str(ee)
ee3 <- ee[ee$EXAM.N == 3,]
plot(POINTS.50 ~ ORDER, data=ee3)
ee3.lm <- lm(POINTS.50 ~ ORDER, data=ee3)
summary(ee3.lm)
abline(ee3.lm)
plot(ee3.lm)
