salary <- c(21, 19, 27, 11, 102, 25, 21)
d <- read.table("http://ashipunov.info/data/d.txt", h=T)
d$size <- ordered(d$size, levels=c("S", "M", "L", "XL", "XXL"))

qqnorm(salary); qqline(salary)

set.seed(1)
rr <- rnorm(100)
qqnorm(rr); qqline(rr)

uu <- runif(100)
qqnorm(uu); qqline(uu)

shapiro.test(salary)
shapiro.test(rr)
ks.test(rr, "pnorm")
ks.test(salary, "pnorm")

Sum <- function(a, b) {}
Sum(2,3)
# fix(Sum) # interactive!
Sum <- function(a, b) 
{
a+b
}
Sum(2, 3)

CV <- function(a){}
# fix(CV) # interactive!
CV <- function(a) 
{
100 * sd(a)/mean(a)
}
CV(salary)
sapply(trees, CV)
str(d)
sapply(d[, 1:2], CV)

Normality <- function(a) {}
ifelse(TRUE, "!!!", "???")
ifelse(0, "!!!", "???")
ifelse(3==2, "!!!", "???")
ifelse(3>2, "!!!", "???")
str(shapiro.test(rr))

# fix(Normality)  # interactive!
Normality <- function(a)
{
ifelse(shapiro.test(a)$p.value < 0.05, "NOT NORMAL", "NORMAL!")
}
Normality(salary)
sapply(trees, Normality)
sapply(log(trees + 0.001), Normality)
sapply(sqrt(trees), Normality)

sapply(trees, function(.x) {sqrt(.x)+1})
sqrt(trees[1,1])+1
old.options <- options(warn=-1)
sapply(trees, function(.x) {wilcox.test(.x, conf.int=T)$conf.int})
options(old.options)

prop.test(x=280, n=500, p=0.5, alt="greater")

source("http://ashipunov.info/r/asmisc.r")
Histr(salary)
Histr(rr)

str(ToothGrowth)
Boxplots(ToothGrowth[, c(1,3)], ToothGrowth$supp)
Linechart(ToothGrowth[, c(1,3)], ToothGrowth$supp)
