bpress <- read.table("http://ashipunov.info/data/bpress.txt", head=T)
str(bpress)
boxplot(bpress)
attach(bpress)
placebo.d <- PLACEBO.10 - PLACEBO.1
drug.d <- DRUG.10 - DRUG.1
detach(bpress)

data.frame(placebo.d, drug.d)
source("http://ashipunov.info/r/asmisc.r")
sapply(bpress, Normality)
t.test(placebo.d, drug.d)
v1 <- var(placebo.d)
v2 <- var(drug.d)
(tt <- (mean(placebo.d) - mean(drug.d))/sqrt(v1/5 + v2/5))
(pp <- 2*pt(-abs(tt), 6.7586))

bpress
stack(bpress)
stack(data.frame(placebo.d, drug.d))
long <- stack(data.frame(placebo.d, drug.d))
t.test(values ~ ind, data=long)
tapply(long$values, long$ind, var)
aggregate(values ~ ind, summary, data=long)

str(beaver2)
tapply(beaver2$temp, beaver2$activ, Normality)
boxplot(temp ~ activ, data=beaver2)
t.test(temp ~ activ, data=beaver2)

ph <- read.table("http://ashipunov.info/shipunov/school/biol_240/data/phaseolus.txt", h=T)
str(ph)
sapply(ph, Normality)
boxplot(ph, Normality)
boxplot(ph)
with(ph, t.test((EXPER.2 - EXPER.1), (CONTROL.2 - CONTROL.1)))
with(ph, t.test(CONTROL.2 - CONTROL.1, alt="greater"))
with(ph, t.test(CONTROL.2, CONTROL.1, paired=T, alt="greater")) # the same!

str(sleep)
head(sleep)
sleep
tapply(sleep$extra, sleep$group, Normality)
boxplot(extra ~ group, data=sleep)
t.test(extra ~ group, data=sleep, paired=T)
