source("http://ashipunov.info/r/asmisc.r")

lin <- read.table("http://ashipunov.info/shipunov/school/biol_240/data/linum.txt", h=T)
str(lin)
CVs(lin$LINUM.G)
CVs
aggregate(lin[,-1], list(GROUP=lin[,1]), CVs)
dotchart(as.matrix(aggregate(lin[,-1], list(GROUP=lin[,1]), CVs)), cex=.8)


data.frame(1:10, 1:10+0.001)
wilcox.test(1:10, 1:10+0.001, paired=T)

# install.packages("effsize")

library(effsize)
cliff.delta(1:10, 1:10+0.001)

cohen.d(extra ~ group, data=sleep)

head(ToothGrowth)
cliff.delta(len ~ dose, data=ToothGrowth)

ph <- read.table("http://ashipunov.info/shipunov/school/biol_240/data/phaseolus.txt", h=T)
head(ph)
cohen.d(ph$CONTROL.1, ph$CONTROL.2)
cohen.d(ph$CONTROL.2, ph$CONTROL.1)
with(ph, cohen.d((CONTROL.2 - CONTROL.1), (EXPER.2 - EXPER.1)))

with(ph, K((CONTROL.2 - CONTROL.1), (EXPER.2 - EXPER.1)))
K.ph <- with(ph, K((CONTROL.2 - CONTROL.1), (EXPER.2 - EXPER.1)))
summary(K.ph)

cliff.delta(1:10*3, 1:10*10)
K(1:10*3, 1:10*10)

summary(K(1:10*3, 1:10*10, mad=TRUE))

ar <- read.table("http://ashipunov.info/data/argon.txt")
cliff.delta(V2 ~ V1, data=ar)
K(V2 ~ V1, data=ar, mad=TRUE)
summary(K(V2 ~ V1, data=ar, mad=TRUE))

hwc <- read.table("http://ashipunov.info/data/hwc.txt", h=TRUE)
str(hwc)
summary(hwc)
boxplot(WEIGHT ~ COLOR, data=hwc)
boxplot(WEIGHT ~ COLOR, data=hwc, notch=T)
Normality(hwc$WEIGHT)
tapply(hwc$WEIGHT, hwc$COLOR, var)
hwc.aov <- aov(WEIGHT ~ COLOR, data=hwc)
summary(hwc.aov)
