source("http://ashipunov.info/r/asmisc.r")
library(dunn.test)

head(InsectSprays)
summary(InsectSprays)
boxplot(count ~ spray, data=InsectSprays)
Normality(InsectSprays$count)
kruskal.test(count ~ spray, data=InsectSprays)

Epsilon2 <- function(kw, n)
{
unname(kw$statistic/((n^2 - 1)/(n+1)))
}
Epsilon2(kruskal.test(count ~ spray, data=InsectSprays), nrow(InsectSprays))
Mag(0.77)
pairwise.wilcox.test(InsectSprays$count, InsectSprays$spray)
dunn.test(InsectSprays$count, InsectSprays$spray)
dunn.test(InsectSprays$count, InsectSprays$spray, method="holm")

head(chickwts)
str(chickwts)
boxplot(weight ~ feed, data=chickwts)
Normality(chickwts$weight)
bartlett.test(weight ~ feed, data=chickwts)
chk.aov <- aov(weight ~ feed, data=chickwts)
summary(chk.aov)
Eta2 <- function(aov)
{
summary.lm(aov)$r.squared
}
Eta2(chk.aov)
Mag(Eta2(chk.aov))
TukeyHSD(chk.aov)

old.par <- par(mar=c(4,9,2,2))
plot(TukeyHSD(chk.aov), las=2)
par(old.par)

tea <- read.table("http://ashipunov.info/data/tea.txt", h=TRUE)
tea
table(tea)
xtabs(~ GUESS + REALITY, data=tea)

comfort <- ifelse(airquality$Temp < 64 | airquality$Temp > 86, "bad", "good")
table(comfort, airquality$Month)
c.m <- table(comfort, airquality$Month)
plot(t(c.m), col=c("red", "green"))
spineplot(t(c.m), col=c("red", "green"))

Titanic
titanic <- apply(Titanic, c(1,4), sum)
titanic
mosaicplot(titanic, col=c("black","green"))
