tea <- read.table("http://ashipunov.info/data/tea.txt", h=TRUE)
tea
tea.t <- table(tea)
tea.t
chisq.test(tea.t)
ee <- read.table("http://ashipunov.info/data/teeth.txt", h=T)

head(ee)
ee.t <- table(ee)
ee.t
chisq.test(ee.t)

fisher.test(tea.t)
tea.t
chisq.test(tea.t, simulate.p.value=T)

fisher.test(ee.t)
chisq.test(ee.t, simulate.p.value=T)
fourfoldplot(tea.t)
fourfoldplot(ee.t)

summary(ee.t)
chisq.test(ee.t)
chisq.test(ee.t, correct=F)

source("http://ashipunov.info/r/asmisc.r")
VTcoeffs(ee.t)
VTcoeffs(ee.t)[2, ]

bb <- read.table("http://ashipunov.info/shipunov/open/betula.txt", h=T)
Str(bb)

bb.t <- table(PUB=bb$PUB, PAP=bb$PAPILLAE)
chisq.test(bb.t) # this is not the best approach, see below for mcnemar.test()

bb.t2 <- table(PUB=bb$PUB, LOC=bb$LOC)
bb.t2
assocplot(bb.t2)
# fisher.test(bb.t2) # R denies to proceed
chisq.test(bb.t2, simulate.p.value=T)
VTcoeffs(bb.t2)
bb.t3 <- table(PAP=bb$PAPILLAE, LOC=bb$LOC)
bb.t3

assocplot(bb.t3)
# fisher.test(bb.t3) # R denies to proceed
chisq.test(bb.t3, simulate.p.value=T)
VTcoeffs(bb.t3)[2, ]
# chisq.test(bb.t) # not exactly wrong, but not suited for the case
mcnemar.test(bb.t) # dramatically different results!
