anscombe
sapply(anscombe, mean)
sapply(anscombe, sd)
oldpar <- par(mfrow=c(2, 2))
plot(y1 ~ x1, data=anscombe)
plot(y2 ~ x2, data=anscombe)
plot(y3 ~ x3, data=anscombe)
plot(y4 ~ x4, data=anscombe)
par(oldpar)

cor(anscombe$x1, anscombe$y1)

cor(trees)
(v1 <- var(trees$Girth))
(v2 <- var(trees$Height))
(v12 <- var(trees$Girth - trees$Height))
(pearson.r <- (v1 + v2 - v12)/(2*sqrt(v1)*sqrt(v2)))

source("http://ashipunov.info/r/asmisc.r")
apply(cor(trees), 1:2, function(.x) Mag(.x, squared=F))
cor(trees, method="spearman")
cor(trees)
cor(trees, method="kendall")
cor(trees, method="s")

bb <- read.table("http://ashipunov.info/shipunov/open/betula.txt", h=T)
Str(bb)
cor(bb[, -1], method="s")
cor(bb[, -1], method="s", use="pairwise")
diag(cor(anscombe[, 1:4], anscombe[, 5:8]))
diag(cor(anscombe[, 1:4], anscombe[, 5:8], method="s"))
diag(cor(anscombe[, 1:4], anscombe[, 5:8], method="k"))

round(cor(bb[, -1], method="s", use="pairwise"),2)
symnum(cor(bb[, -1], method="s", use="pairwise"))

# install.packages("ellipse")
library(ellipse)
bbc <- cor(bb[, -1], method="s", use="pairwise")
plotcorr(bbc)

library(lattice)
levelplot(abs(bbc))

Pleiad(bbc, corr=T, hoff=1)

tox <- read.table("http://ashipunov.info/data/poisoning.txt", h=TRUE)
Pleiad(cor(tox, method="k"), corr=T)

Cor(bb[, -1], method="s", use="pairwise")

cor(anscombe$x1, anscombe$y1)
cor.test(anscombe$x1, anscombe$y1)
cor.test(anscombe$x1, anscombe$y1, method="s")
cor.test(anscombe$x1, anscombe$y1, method="k")

Topm(bbc)
Topm(bbc, level=.3)
Topm(cor(tox, method="k"))
Topm(cor(tox, method="k"), level=.2)
