hwc <- read.table("http://ashipunov.info/data/hwc.txt", h=TRUE)
str(hwc)
hwc.aov <- aov(WEIGHT ~ COLOR, data=hwc)
hwc.lm <- lm(WEIGHT ~ COLOR, data=hwc)
summary(hwc.aov)
summary(hwc.lm)
plot(WEIGHT ~ COLOR, data=hwc)
plot(hwc.lm)

women.lm <- lm(weight ~ height, data=women)
women.lm2 <- lm(weight ~ height + I(height^3), data=women)
AIC(women.lm)
AIC(women.lm2)

str(iris)

eq8 <- read.table("http://ashipunov.info/data/eq8.txt", h=T)
source("http://ashipunov.info/r/asmisc.r")
Str(eq8)
aggregate(eq8[,-1], list(eq8[,1]), median, na.rm=T)
eq8m <- aggregate(eq8[,-1], list(eq8[,1]), median, na.rm=T)
row.names(eq8m) <- eq8m[,1]
eq8m$Group.1 <- NULL
eq8m
stars(eq8m)
# install.packages("TeachingDemos")
library(TeachingDemos)
faces(eq8m)
library(MASS)
parcoord(eq8[,-1], col=rep(1:8, table(eq8[,1])))
legend("top", bty="n", lty=1, lwd=2, col=1:8, legend=names(table(eq8[, 1])))

Boxplots(eq8[, -1], eq8[, 1])
Linechart(eq8[, -1], eq8[, 1], cex=.5)

# install.packages("scatterplot3d")
library(scatterplot3d)
scatterplot3d(eq8[, 2:4], color=as.numeric(eq8[, 1]))
legend("topleft", col=1:8, pch=1, legend=levels(eq8[,1]))

eq8.pca <- princomp(scale(na.omit(eq8[, -1])))
plot(eq8.pca)
summary(eq8.pca)
eq8.p <- eq8.pca$scores[, 1:2]
eq8o <- na.omit(eq8)
plot(eq8.p, type="n", xlab="PC1", ylab="PC2")
text(eq8.p, labels=abbreviate(eq8o[,1], 2), col=as.numeric(eq8o[,1]))
