t17 <- read.table("http://ashipunov.info/shipunov/school/biol_240/data/traits17.txt", h=T, row.names=1)
str(t17)
head(t17)
t17d <- dist(t17, method="binary")
t17dh <- hclust(t17d, method="ward.D")
plot(t17dh)
t17dc <- cmdscale(t17d)
plot(t17dc[, 1:2], type="n")
text(t17dc[, 1:2], labels=row.names(t17))

nd <- read.table("http://ashipunov.info/data/nd.txt", h=T, sep="\t", row.names=1)
nd
nd.d <- as.dist(nd)
nd.c <- cmdscale(nd.d)
plot(nd.c[, 1:2], type="n")
text(nd.c[, 1:2], labels=row.names(nd))

# install.packages("randomForest")
library(randomForest)
iris.train <- iris[seq(1, nrow(iris), 5), ]
iris.unknown <- iris[-seq(1, nrow(iris), 5), ]
set.seed(17)
iris.rf <- randomForest(Species ~ ., data=iris.train)
predict(iris.rf, iris.unknown[, -5])
iris.rfp <- predict(iris.rf, iris.unknown[, -5])
source("http://ashipunov.info/r/asmisc.r")
Misclass(iris.rfp, iris.unknown[,5])
