bb <- read.table("bb", h=T, sep="\t", quote="", as.is=T) # bb is concatenated buxineae_samples*.txt
bux <- read.table("buxineae.txt", h=T, sep="\t", quote="", as.is=T)
reg <- read.table("buxineae_reg.txt", h=T, sep="\t", quote="", as.is=T)
source("~/wrk/dev/r/src/recode.r")

bb$SPECIES <- gsub("\\?", "", bb$SPECIES)
bb$SPECIES <- gsub("([A-z]+ [a-z]+) [a-z]+", "\\1", bb$SPECIES)

bux$SPECIES <- Recode4(bux$SAMPLE, bb$SAMPLE, bb$SPECIES)
bux$GENUS <- do.call(rbind, strsplit(bux$SPECIES, split=" "))[,1]
bux$SP.E <- do.call(rbind, strsplit(bux$SPECIES, split=" "))[,2]

bux$REGION <- Recode4(bux$SPECIES, reg$SPECIES, reg$REGION) # regions for unknown species entered manually
# write.table(bux, file="bux.txt", sep="\t", row.names=F, quote=F)
